﻿using System;

namespace JiaZhiQuan.Common.ElasticSearch
{
    /// <summary>
    /// ES中字段和C# class属性的名称映射
    /// 当ES的字段名和class名不匹配时，怎么映射
    /// </summary>
    public class ESFieldAttribute : Attribute
    {
        public string ESFieldName;

        public ESFieldAttribute(string eSFieldName)
        {
            ESFieldName = eSFieldName;
        }
    }

    /// <summary>
    /// Es中的Id字段
    /// </summary>
    public class ESIdAttribute : Attribute
    {
        public string ESIdName;

        public ESIdAttribute(string name)
        {
            ESIdName = name;
        }
    }
}
