﻿namespace JiaZhiQuan.Common.ElasticSearch.Models
{
    /**
     * 
PUT /ip_addr
{
  "mappings": {
    "properties": {
      "ip": {
        "type": "keyword"
      },
      "addr": {
        "type": "keyword"
      },
      "province": {
        "type": "keyword"
      },
      "city": {
        "type": "keyword"
      }
    }
  }
}
     */
    /// <summary>
    /// ip地址/地址映射
    /// ip_addr
    /// </summary>
    public class ESIpAddress
    {
        public string ip { get; set; }
        public string addr { get; set; }
        public string province { get; set; }
        public string city { get; set; }
    }
}
