﻿using System;

namespace JiaZhiQuan.Common.ElasticSearch.Models
{
    /// <summary>
    /// n_log
    /// </summary>
    public class ESNLog
    {
        [ESId("_id")]
        public string id { get; set; }
        public int milliseconds { get; set; }

        public string url { get; set; }

        public string param { get; set; }

        public int statusCode { get; set; }

        public string errorMessage { get; set; }

        public long userId { get; set; }

        public string system { get; set; }

        public DateTime logTime { get; set; }

        public string ip { get; set; }

        public string ipAddr { get; set; }

        public string deviceId { get; set; }

        public string deviceInfo { get; set; }

        public string channel { get; set; }
    }
}
