﻿using System;
using System.Collections.Generic;
using System.Text;

namespace JiaZhiQuan.Common.ElasticSearch.Models
{
    /*
DELETE /user

PUT /user
{
  "mappings": {
    "properties": {
      "id": {
        "type": "long"
      },
      "alias": {
        "type": "text",
        "analyzer": "ik_max_word"
      },
      "username": {
        "type": "keyword"
      },
      "sex": {
        "type": "short"
      },
      "authType": {
        "type": "short"
      },
      "authName": {
        "type": "keyword"
      },
      "domainTalent": {
        "type": "keyword"
      },
      "headImage": {
        "type": "text",
        "index": false
      },
      "description": {
        "type": "text",
        "analyzer": "ik_max_word"
      },
      "fansCount": {
        "type": "integer"
      }
    }
  }
}
    */
    /// <summary>
    /// ES中记录未禁用的用户
    /// </summary>
    public class ESUserModel
    {
        public long id { get; set; }
        public string alias { get; set; }
        public string username { get; set; }
        public short sex { get; set; }
        public short authType { get; set; }
        public string[] authName { get; set; }
        public string[] domainTalent { get; set; }
        public short vip { get; set; }
        public string headImage { get; set; }
        public string description { get; set; }
        public int fansCount { get; set; }
    }
}
