﻿using System;

namespace JiaZhiQuan.Common.Models {
    /// <summary>
    /// 于初科技供应商订单对象
    /// </summary>
    public class ApiOrderModel {
        public class SupplierOrder {
            public long id { get; set; }
            public long orderId { get; set; }
            public int productId { get; set; }
            public string productName { get; set; }
            public int supplierId { get; set; }
            public int purchasePrice { get; set; }
            public DateTime purchaseTime { get; set; }
            public int orderMethod { get; set; }
            public string rechargeAccount { get; set; }
            public long userId { get; set; }
            public string supplierOrderId { get; set; }
            public int orderStatus { get; set; }
            public string reason { get; set; }
            public int taskStatus { get; set; }
            public int taskTimes { get; set; }
            public int operatorId { get; set; } = 0;
            public DateTime createAt { get; set; }
            public DateTime updateAt { get; set; }
        }
    }
}
