﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_banners
    /// </summary>
    public class BannersPO
    {
        public int id { get; set; }

        /// <summary>
        /// 所属模块
        /// </summary>
        public string model { get; set; }

        /// <summary>
        /// 模块位置
        /// </summary>
        public string position { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// 图片Url
        /// </summary>
        public string imageUrl { get; set; }

        /// <summary>
        /// 跳转路由
        /// </summary>
        public string actionLink { get; set; }

        /// <summary>
        /// 0 无行为 1 跳转笔记/动态/资讯 2 跳转圈子 3 跳转H5 4 跳价值币页面
        /// </summary>
        public int actionType { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int actionSubType { get; set; }

        /// <summary>
        /// 行为数据JSON。无行为时为空字符串，笔记/动态/资讯/圈子时为编号，H5时是URL
        /// </summary>
        public string actionData { get; set; }
        public int displayOrder { get; set; }
        public int disabled { get; set; }
        public DateTime createAt { get; set; }

    }
}
