﻿using System;
using System.Xml.Linq;
using static JiaZhiQuan.Common.CreatorSpace;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// 创作中心-活动专区-活动分类表
    /// n_activity_card
    /// </summary>
    public class CreatorActivityCardPO
    {
        /// <summary>
        /// id
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 卡片id
        /// </summary>
        public int spaceId { get; set; }

        /// <summary>
        /// 版本id
        /// </summary>
        public int versionId { get; set; }

        /// <summary>
        /// code
        /// </summary>
        public string code { get; set; }

        /// <summary>
        /// 活动标题
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// 活动内容
        /// </summary>
        public string content { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        public string keyword { get; set; }

        /// <summary>
        /// Banner
        /// </summary>
        public string banner { get; set; }

        /// <summary>
        /// 是否允许关闭
        /// </summary>
        public int allowClose { get; set; }

        /// <summary>
        /// 链接类型
        /// </summary>
        public int? linkType { get; set; }

        /// <summary>
        /// 链接Sub类型
        /// </summary>
        public int? linkSubType { get; set; }

        /// <summary>
        /// 链接地址
        /// </summary>
        public string linkUrl { get; set; }

        /// <summary>
        /// 对谁可见
        /// </summary>
        public int visual { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

    }
}
