﻿using System;

namespace JiaZhiQuan.Common.Models.VO.CreatorCenter
{
    public class CreatorSpaceVO
    {
        /// <summary>
        /// id
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 卡片名称
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 卡片类型
        /// </summary>
        public CreatorSpace.CreatorSpaceType contentType { get; set; }

        /// <summary>
        /// 卡片内容Code
        /// </summary>
        public string contentCode { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public float displayOrder { get; set; }

        /// <summary>
        /// 版本id
        /// </summary>
        public int versionId { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        public EnableStatus enabled { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

        /// <summary>
        /// 是否有tab（当卡片类型为活动专题时字段有值）
        /// </summary>
        public int hasChild { get; set; }
    }
}
