﻿using System.Collections.Generic;

namespace JiaZhiQuan.Common.Models.VO.Mall.Category
{
    public class SpecVO
    {
        /// <summary>
        /// 属性id
        /// </summary>
        public int specId { get; set; }

        /// <summary>
        /// 属性名称
        /// </summary>
        public string specName { get; set; }

        /// <summary>
        /// 是否同级联动
        /// </summary>
        public int hasRestrict { get; set; }

        /// <summary>
        /// 是否必填
        /// </summary>
        public int required { get; set; }

        /// <summary>
        /// 是否允许筛选
        /// </summary>
        public int filterEnabled { get; set; }

        /// <summary>
        /// 显示方式
        /// </summary>
        public int showType { get; set; }

        /// <summary>
        /// 是否有效
        /// </summary>
        public int state { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int displayOrder { get; set; }

        /// <summary>
        /// 属性层级
        /// </summary>
        public int level { get; set; }

        /// <summary>
        /// 该属性下的属性值集合
        /// </summary>
        public List<SpecValueVO> specValues { get; set; }
    }
}
