﻿using MathNet.Numerics.LinearAlgebra.Factorization;
using System;
using System.Collections.Generic;

namespace JiaZhiQuan.Common.Models.VO.UE {
    public class UEGoodsInfo {
        public long goodsId { get; set; }
        public int catId { get; set; }
        public string catNamePath { get; set; }
        public long userId { get; set; }
        public int platformSkuId { get; set; }
        public string specIds { get; set; }
        public string specValuesIds {  get; set; }
        public string skuName { get; set; }
        public string goodsName { get; set; }
        
        public long? goodsNo { get; set; }
        public int state { get; set; }
        public int tradeState { get; set; }//交易状态（0：未交易，1：交易中）

        public int auditState { get; set; }
        public int isDelete { get; set; }
        public int source { get; set; }
        public string skuImg { get; set; }
        public string brief { get; set; }
        public string platformBrief { get; set; }
        public int salePrice { get; set; }
        public int postPrice { get; set; }
        public DateTime? shelveAt { get; set; }
        public DateTime? noShelveAt { get; set; }
        public DateTime? pubAt { get; set; }
        public int? depositFee { get; set; }
        public int? newPrice { get; set; }
        public int? netPrice { get; set; }//到手价
        public int? serviceFee { get; set; }//服务费
        public int serviceTempId { get; set; }//服务费模板id        
        public int pointsPlanPrice { get; set; }
        public int pointsPlanId { get; set; }

        public int photoPlanId { get; set; }
        public int pickDepositId { get; set; }

        public decimal rating { get; set; }
        //成色（1，已验8成新，2，已验85新，3，已验9成新，4，已验95新，5已验99新，6已验全新）
        public int quality { get; set; }

        public string goodsImgUrl { get; set; }
        //邮费配置id
        public int postConfId { get; set; }
        //仓储费配置id
        public int storageConfId { get; set; }
        //0待计算 1已计算
        public int CalRatingState { get; set; }
        public DateTime? createAt { get; set; }
        public DateTime? updateAt { get; set; }
    }
}
