﻿using System;

namespace JiaZhiQuan.Common.Models.VO.UE {
    public class UEMockTask {
        /// <summary>
        /// 主键
        /// </summary>
        public int id { get; set; }
        /// <summary>
        /// 商品id或者笔记id
        /// </summary>
        public long targetId { get; set; }

        /// <summary>
        /// 添加数
        /// </summary>
        public int addCount { get; set; }

        /// <summary>
        /// 
        /// </summary>
        /// <remarks>
        /// 
        /// </remarks>
        public int hours { get; set; }

        /// <summary>
        /// GOODAS_VIEW/POST_THUMBSUP/FOCUS/COLLECTION/SHARE/PPVISIT/POSTPPVISIT
        /// </summary>
        public string type { get; set; }

        /// <summary>
        /// 0 待执行 1 开始执行 2 执行完成 -1 执行失败
        /// </summary>
        public int state { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }
        /// <summary>
        /// 上次运行时间
        /// </summary>
        public DateTime lastExecTime { get; set; }
        /// <summary>
        /// 剩余添加数
        /// </summary>
        public int remindCount { get; set; }
    }
}
