﻿using System;

namespace JiaZhiQuan.Common.ElasticSearch.Models
{
    
    /*
PUT /user_collect_record
{
  "mappings": {
    "properties": {
      "id": {
        "type": "keyword"
      },
      "userId": {
        "type": "long"
      },
      "postId": {
        "type": "long"
      },
      "authorId": {
        "type": "long"
      },
      "categoryType": {
        "type": "integer"
      },
      "enabled": {
        "type": "integer"
      },
      "createAt": {
        "type": "date",
        "format": "yyyy-MM-dd HH:mm:ss"
      },
      "updateAt": {
        "type": "date",
        "format": "yyyy-MM-dd HH:mm:ss"
      }
    }
  }
}
     */
    /// <summary>
    /// user_collect_record
    /// </summary>
    public class ESUserCollectRecord
    {
        [ESId("_id")]
        public string id { get; set; }
        public long userId { get; set; }
        public long postId { get; set; }
        public long authorId { get; set; }
        public int categoryType { get; set; }
        public int enabled { get; set; }
        public DateTime createAt { get; set; }
        public DateTime updateAt { get; set; }

    }
}
