﻿using System;

namespace JiaZhiQuan.Common.ElasticSearch.Models
{

    /*
PUT /user_fans_record
{
  "mappings": {
    "properties": {
      "id": {
        "type": "keyword"
      },
      "userId": {
        "type": "long"
      },
      "fansId": {
        "type": "long"
      },
      "enabled": {
        "type": "integer"
      },
      "createAt": {
        "type": "date",
        "format": "yyyy-MM-dd HH:mm:ss"
      },
      "updateAt": {
        "type": "date",
        "format": "yyyy-MM-dd HH:mm:ss"
      }
    }
  }
}
     */
    /// <summary>
    /// user_fans_record
    /// </summary>
    public class ESUserFansRecord
    {
        [ESId("_id")]
        public string id { get; set; }
        public long userId { get; set; }
        public long fansId { get; set; }
        public int enabled { get; set; }
        public DateTime createAt { get; set; }
        public DateTime updateAt { get; set; }

    }
}
