﻿using System;
namespace JiaZhiQuan.Common
{
    public static class BalanceBizCodes
    {
        /// <summary>
        /// 某一天的创作收益，对应的BizData为 yyyy-MM-dd
        /// </summary>
        public const string CREATION = "CREATION";

        /// <summary>
        /// 创作收益修正，对应BizData为 n_stat_settlement记录编号
        /// </summary>
        public const string CREATIONFIX = "CREATIONFIX";

        /// <summary>
        /// 内容奖励，对应BizData为 n_balance_reward记录编号
        /// </summary>
        public const string REWARD = "REWARD";

        /// <summary>
        /// 取现，对应BizData为 n_balance_cashout_apply记录编号
        /// </summary>
        public const string CASHOUT = "CASHOUT";

        /// <summary>
        /// 取现失败，对应BizData为 n_balance_cashout_apply记录编号
        /// </summary>
        public const string CASHOUTFAILED = "CASHOUTFAILED";
    }
}

