﻿using JiaZhiQuan.Common.Hubs;

namespace JiaZhiQuan.Common.Messaging.Models
{
    public class IMMessageModel
    {

        /// <summary>
        /// 发送人id
        /// </summary>
        public long FromUserId { get; set; }

        /// <summary>
        /// 接收人id
        /// </summary>
        public long TargetUserId { get; set; }

        /// <summary>
        /// 消息内容
        /// </summary>
        public MessageContentDTO Content { get; set; }

        public static string GetMsgKey()
        {
            return "JZQ_IM_SendMessage";
        }
    }
}
