﻿using Npoi.Mapper.Attributes;
using System;

namespace JiaZhiQuan.Common.Models.MallGoodsModel
{
    /// <summary>
    /// 商品表specJson字段对应json
    /// </summary>
    public class SpecJsonModel
    {
        /// <summary>
        /// 属性id
        /// </summary>
        public int specId { get; set; }
        /// <summary>
        /// 属性名字
        /// </summary>
        public string specName { get; set; }
        /// <summary>
        /// 属性值id
        /// </summary>
        public int specValueId { get; set; }
        /// <summary>
        /// 属性值名称
        /// </summary>
        public string specValueName { get; set; }
        /// <summary>
        /// 属性值图片
        /// </summary>
        public string specValueImg { get; set; }
    }
    /// <summary>
    /// 属性导入excel对象
    /// </summary>
    public class SpecImportExcel {
        [Ignore]
        [Column("一级类目")]
        public string catName1 { get; set; }
        [Column("二级类目")]
        public string catName2 { get; set; }
        [Column("品牌")]
        public string brand { get; set; }
        [Column("IP")]
        public string IP { get; set; }
        [Column("系列")]
        public string series { get; set; }
    }

}
