﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_balance_cashout_disabled
    /// </summary>
    public class BalanceCashoutDisabledPO
    {
        /// <summary>
        /// 
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 禁用提现开始时间（包含）
        /// </summary>
        public DateTime startAt { get; set; }

        /// <summary>
        /// 禁用提现结束时间（不包含）
        /// </summary>
        public DateTime endAt { get; set; }

        /// <summary>
        /// 提示标题
        /// </summary>
        public string noticeTitle { get; set; }

        /// <summary>
        /// 提示内容
        /// </summary>
        public string noticeCont { get; set; }

        /// <summary>
        /// 操作人员编号
        /// </summary>
        public int sysUserId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

    }
}
