﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_balance
    /// </summary>
    public class BalancePO
    {
        /// <summary>
        /// 用户编号
        /// </summary>
        public long userId { get; set; }

        /// <summary>
        /// 可提现余额（分为单位）
        /// </summary>
        public int balance { get; set; }

        /// <summary>
        /// 冻结余额（分为单位）
        /// </summary>
        public int frozenBalance { get; set; }

        /// <summary>
        /// 是否禁用提现（默认为0，可以提现）
        /// </summary>
        public bool cashoutDisabled { get; set; }

        /// <summary>
        /// 最近一次修改提现状态的时间
        /// </summary>
        public DateTime operationTime { get; set; }

    }
}
