﻿using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_balance_reward
    /// </summary>
    public class ContentRewardPO
    {
        /// <summary>
        /// 
        /// </summary>
        public long id { get; set; }

        /// <summary>
        /// 流水编号
        /// </summary>
        public long balanceDetailId { get; set; }

        /// <summary>
        /// 用户编号
        /// </summary>
        public long userId { get; set; }

        /// <summary>
        /// 文章编号
        /// </summary>
        public long postId { get; set; }

        /// <summary>
        /// 奖励金额（分为单位）
        /// </summary>
        public int amount { get; set; }

        /// <summary>
        /// 奖励描述（用户不可见）
        /// </summary>
        public string note { get; set; }

        /// <summary>
        /// 系统用户编号
        /// </summary>
        public int sysUserId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

    }
}
