﻿using Microsoft.Extensions.Hosting;
using System;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_activity_region_content
    /// </summary>
    public class CreatorActivityRegionContentPO
    {

        /// <summary>
        /// id
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 版本id
        /// </summary>
        public int versionId { get; set; }

        /// <summary>
        /// code
        /// </summary>
        public string code { get; set; }

        /// <summary>
        /// 分类Code，关联n_activity_region_type表的code
        /// </summary>
        public string typeCode { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// 副文案
        /// </summary>
        public string content { get; set; }

        /// <summary>
        /// banner
        /// </summary>
        public string banner { get; set; }

        /// <summary>
        /// 热度
        /// </summary>
        public int hot { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public float displayOrder { get; set; }

        /// <summary>
        /// 标签
        /// </summary>
        public string label { get; set; }

        /// <summary>
        /// 是否启用按钮
        /// </summary>
        public bool btnEnabled { get; set; }

        /// <summary>
        /// 按钮名称
        /// </summary>
        public string btnName { get; set; }

        /// <summary>
        /// 按钮跳转类型
        /// </summary>
        public int? btnLinkType { get; set; }

        /// <summary>
        /// 按钮跳转子类型
        /// </summary>
        public int? btnLinkSubType { get; set; }

        /// <summary>
        /// 按钮跳转链接
        /// </summary>
        public string btnLink { get; set; }

        /// <summary>
        /// 内容是否开启跳转
        /// </summary>
        public bool contentEnabled { get; set; }

        /// <summary>
        /// 内容跳转类型
        /// </summary>
        public int? contentLinkType { get; set; }

        /// <summary>
        /// 内容跳转子类型
        /// </summary>
        public int? contentLinkSubType { get; set; }

        /// <summary>
        /// 内容跳转路径
        /// </summary>
        public string contentLink { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        public int enabled { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

    }
}
