﻿using System;
using System.Xml.Linq;
using static JiaZhiQuan.Common.CreatorSpace;

namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// 创作中心-活动专区-活动分类表
    /// n_activity_region_type
    /// </summary>
    public class CreatorActivityRegionTypePO
    {
        /// <summary>
        /// id
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 版本id
        /// </summary>
        public int versionId { get; set; }

        /// <summary>
        /// code
        /// </summary>
        public string code { get; set; }

        /// <summary>
        /// 父级Code
        /// </summary>
        public string parentCode { get; set; }

        /// <summary>
        /// 分类名称
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 是否有子级
        /// </summary>
        public bool hasChild { get; set; }

        /// <summary>
        /// 显示数量
        /// </summary>
        public int size { get; set; }

        /// <summary>
        /// tab样式
        /// </summary>
        public ActivityRegionStyleType style { get; set; }

        /// <summary>
        /// 启用/禁用
        /// </summary>
        public EnableStatus enabled { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }

    }
}
