﻿namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// 类目属性值约束链
    /// mall_category_spec_restrict_chain
    /// </summary>
    public class MallCategorySpecRestrictChainPO
    {
        /// <summary>
        /// 
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 所属分类的编号
        /// </summary>
        public int catId { get; set; }

        /// <summary>
        /// 同级别属性编号组合列表，至少两个起，通过,分隔，如,1,2,
        /// </summary>
        public string specIds { get; set; }

        /// <summary>
        /// 此属性组合的属性值编号列表，至少两个起，通过,分隔，如,1,2,
        /// </summary>
        public string specValueIds { get; set; }

        /// <summary>
        /// 所属属性链路项code
        /// </summary>
        public string specChainCode { get; set; }

        /// <summary>
        /// 所属属性链路项中的属性值编号
        /// </summary>
        public int parentSpecValueId { get; set; }

    }
}
