﻿namespace JiaZhiQuan.Common.Models.PO
{
    /// <summary>
    /// n_user_auth
    /// </summary>
    public class UserAuthPO
    {
        /// <summary>
        /// 
        /// </summary>
        public long userId { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        public string idCardNo { get; set; }

        /// <summary>
        /// 实人认证状态 0 未通过 1 通过
        /// </summary>
        public bool personAuth { get; set; }

        /// <summary>
        /// 角色 0 普通 1 创作者 2 研究员
        /// </summary>
        public int mpRole { get; set; }

        /// <summary>
        /// 是否是优质的
        /// </summary>
        public bool superior { get; set; }

        /// <summary>
        /// 职业
        /// </summary>
        public string job { get; set; }

        /// <summary>
        /// 工作单位
        /// </summary>
        public string org { get; set; }

        /// <summary>
        /// 是否禁用所有认证
        /// </summary>
        public bool disableAuth { get; set; }

    }
}
