﻿namespace JiaZhiQuan.Common.Models.VO.BalanceManage
{
    public class BalanceCashoutPlatformVO
    {

        /// <summary>
        /// 税率，如0.006即为百分之六
        /// </summary>
        public decimal taxRate { get; set; }

        /// <summary>
        /// 服务费率（平台扣除）
        /// </summary>
        public decimal feeRate { get; set; }

        /// <summary>
        /// 服务费最低金额(单位分)
        /// </summary>
        public decimal? feeMinAmount { get; set; }

        /// <summary>
        /// 是否隐藏税率
        /// </summary>
        public int taxRateHidden { get; set; }

        /// <summary>
        /// 是否隐藏服务费
        /// </summary>
        public int feeRateHidden { get; set; }

        /// <summary>
        /// 是否禁用人工审核
        /// </summary>
        public int disableManualCheck { get; set; }
    }
}
