﻿using System;

namespace JiaZhiQuan.Common.Models.VO.CreatorCenter
{

    public class ContentRewardVO
    {
        /// <summary>
        /// 
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// 流水编号
        /// </summary>
        public string balanceDetailId { get; set; }

        /// <summary>
        /// 用户编号
        /// </summary>
        public string userId { get; set; }

        /// <summary>
        /// 文章编号
        /// </summary>
        public string postId { get; set; }

        /// <summary>
        /// 奖励金额（分为单位）
        /// </summary>
        public int amount { get; set; }

        /// <summary>
        /// 奖励描述（用户不可见）
        /// </summary>
        public string note { get; set; }

        /// <summary>
        /// 系统用户编号
        /// </summary>
        public string sysUserId { get; set; }

        /// <summary>
        /// 系统用户名称
        /// </summary>
        public string sysUserName { get; set; }

        /// <summary>
        /// 系统用户登录名称
        /// </summary>
        public string sysUserLoginName { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }
    }

    public class ContentRewardResultVO
    {
        /// <summary>
        /// 
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// 流水编号
        /// </summary>
        public string balanceDetailId { get; set; }

        /// <summary>
        /// 用户编号
        /// </summary>
        public string userId { get; set; }

        /// <summary>
        /// 文章编号
        /// </summary>
        public string postId { get; set; }

        /// <summary>
        /// 奖励金额（元为单位）
        /// </summary>
        public string amount { get; set; }

        /// <summary>
        /// 奖励描述（用户不可见）
        /// </summary>
        public string note { get; set; }

        /// <summary>
        /// 系统用户编号
        /// </summary>
        public string sysUserId { get; set; }

        /// <summary>
        /// 系统用户名称
        /// </summary>
        public string sysUserName { get; set; }

        /// <summary>
        /// 系统用户登录名称
        /// </summary>
        public string sysUserLoginName { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime createAt { get; set; }
    }
}
