﻿using MathNet.Numerics.LinearAlgebra.Factorization;
using System;
using System.Collections.Generic;

namespace JiaZhiQuan.Common.Models.VO.UE {
    public class BaseFeeConfig {
        public int id { get; set; }
        public int upDays { get; set; }
        public int stageFee { get; set; }
        public int startSalePrice { get; set; }
        public int postPrice { get; set; }
        public int state { get; set; }
        public int configType { get; set; }
        public string addressJson { get; set; }
        public AddressInfo address { get; set; }
        public int operatorId { get; set; }
        public SimpleSysUserInfo operatorUser { get; set; }
        public DateTime? createAt { get; set; }
        public DateTime? updateAt { get; set; }
    }

    public class AddressInfo {
        public string name;
        public string phone;
        public string area;
        public string detailAddress;
        public string shopUserId;
    }
}
