﻿using MathNet.Numerics.LinearAlgebra.Factorization;
using NPOI.OpenXmlFormats.Vml;
using System;
using System.Collections.Generic;

namespace JiaZhiQuan.Common.Models.VO.UE {
    /// <summary>
    /// 发布挂售入参 
    /// </summary>
    public class InPubInfo {
        public int platformSkuId { get; set; }
        public string skuName { get; set; }
        public string goodsName { get; set; }

        public long? goodsId { get; set; }
        public int catId { get; set; }
        public string catNamePath { get; set; }
        public List<PhotoDetailInfo> photos { get; set; }
        //卖家描述
        public string brief { get; set; }
        //售价
        public int salePrice { get; set; }
        //到手价
        //public int netAmount {  get; set; }
        //1，接近全新，2，轻微痕迹，3，明显痕迹，4，严重痕迹
        public int usedState { get; set; }
        //成色（1，已验8成新，2，已验85新，3，已验9成新，4，已验95新，5已验99新，6已验全新）
        public int quality { get; set; }
        public int postPrice { get; set; }
    }
}
