﻿using MathNet.Numerics.LinearAlgebra.Factorization;
using System;
using System.Collections.Generic;

namespace JiaZhiQuan.Common.Models.VO.UE {
    public class PlatformSKUInfo {
        public int platformSkuId { get; set; }
        public string skuName { get; set; }
        public string specIds { get; set; }
        public string specValuesIds { get; set; }
        public string specJson { get; set; }
        //是否可寄售
        public int canPost { get; set; }
        //商城上架数
        public int goodsUpCnt { get; set; }
        public string catNamePath { get; set; }
        public int? catId { get; set; }
        public int? almostNewPriceLow { get; set; }
        public int? lightWearPriceLow { get; set; }
        public int? obviousMarksPriceLow { get; set; }
        public int? heavyWearPriceLow { get; set; }
        public int? almostNewPriceUp { get; set; }
        public int? lightWearPriceUp { get; set; }
        public int? obviousMarksPriceUp { get; set; }
        public int? heavyWearPriceUp { get; set; }

        public int? newPrice { get; set; }
        public int state { get; set; }
        public string imgUrl { get; set; }
        public DateTime? createAt { get; set; }
        public DateTime? updateAt { get; set; }
        //是否可挂售
        public int canPub { get; set; }
        public int? almostNewNetPriceLow { get; set; }
        public int? almostNewNetPriceUp { get; set; }
        public int? lightWearNetPriceLow { get; set; }
        public int? lightWearNetPriceUp { get; set; }
        public int? obviousMarksNetPriceLow { get; set; }
        public int? obviousMarksNetPriceUp { get; set; }
        public int? heavyWearNetPriceLow { get; set; }
        public int? heavyWearNetPriceUp { get; set; }
    }
}
