﻿using System;
using System.Collections.Generic;

namespace JiaZhiQuan.Common.Models.VO.UE {
    public class UEAppraisalImg {
        /// <summary>
        /// 主键ID
        /// </summary>
        public int? id { get; set; }

        /// <summary>
        /// 鉴定报告id
        /// </summary>
        public int appraisalId { get; set; }

        /// <summary>
        /// 商品id
        /// </summary>
        public long goodsId { get; set; }

        /// <summary>
        /// 图片名
        /// </summary>
        public string imgName { get; set; }

        /// <summary>
        /// 类目名称
        /// </summary>
        public string imgUrl { get; set; }

        /// <summary>
        /// 照片类型（0，基础照片，1，细节照片）
        /// </summary>
        public int imgType { get; set; }

        /// <summary>
        /// 细节描述
        /// </summary>
        public string brief { get; set; }

        /// <summary>
        /// 模版明细id，可为空。基础图片有，细节图片没有
        /// </summary>
        public int? planDetailId { get; set; }
    }
}
