﻿using System;
using System.Collections.Generic;

namespace JiaZhiQuan.Common.Models.VO.UE {
    public class UEGoodsTask {
        /// <summary>
        /// 主键ID
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// 寄售订单id
        /// </summary>
        public long postOrderId { get; set; }
        /// <summary>
        /// 销售订单id-寄售
        /// </summary>
        public string orderId { get; set; }

        /// <summary>
        /// 商品id
        /// </summary>
        public long goodsId { get; set; }

        /// <summary>
        /// 平台skuId
        /// </summary>
        public int platformSkuId { get; set; }

        /// <summary>
        /// 货号
        /// </summary>
        public long goodsNo { get; set; }

        /// <summary>
        /// 商品名称
        /// </summary>
        public string skuName { get; set; }

        /// <summary>
        /// sku图url
        /// </summary>
        public string skuImg { get; set; }

        /// <summary>
        /// 类目id（最深层次的类目id）
        /// </summary>
        public int catId { get; set; }

        /// <summary>
        /// 类目名称路径
        /// </summary>
        public string catNamePath { get; set; }

        /// <summary>
        /// 任务状态（1，待领取，2，已领取，3，已完成）
        /// </summary>
        public byte state { get; set; }
        /// <summary>
        /// 任务类型（1，鉴定，2，发货，3，退货）
        /// </summary>
        public byte taskType { get; set; }

        /// <summary>
        /// 操作人ID
        /// </summary>
        public int operateId { get; set; }

        /// <summary>
        /// 创建时间-录入时间
        /// </summary>
        public DateTime createAt { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime updateAt { get; set; }

        /// <summary>
        /// 任务领取时间
        /// </summary>
        public DateTime? taskConfirmAt { get; set; }
    }
}
